package com.jeeplus.modules.sg.managementcenter.reserveManagement.entity;

import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.core.persistence.DataEntity;

import java.util.Date;

/**
 * 方案交底部分导出实体类
 * */
public class ExportScheme extends DataEntity<ExportScheme> {
    private String projectReserveId;  //varchar(255) NOT NULL 项目储备编号
    private String projectName; //varchar(255) NOT NULL 项目名称
    private String disclosureToCoordinate;  //varchar(255) NULL  交底牵头部门
    private String disclosureParticipate;  //varchar(255) NULL  交底参与部门
    private String whetherFinishDisclosure;  //varcjar(64) NULL  是否完成交底(1：是，0：否)
    private String projectManagementPeople;  //varchar(255) NULL  项目管理中心人员
    private String designingInstitutePeople;  //varchar(255) NULL  设计院人员
    private String ifoPeople;  //varchar(255) NULL  经研所人员
    private String regionalCenterPeople;  //varchar(255) NULL  区域中心人员
    private String uninterruptedOperationPeople;  //varchar(255) NULL  不停电作业中心人员
    private String workMode;  //varchar(255) NULL  作业方式
    private Date disclosureFinishDate;  //datetime NULL  交底完成日期
    private String disclosureRemarks;  //varchar(255) NULL  备注

    private String projectDescription;  //varchar(255) NULL  立项说明
    private String doNotPossessProjectDescription;  //varchar(255) NULL  不具备立项条件说明
    private String changedProgramsExplain;  //varchar(255) NULL  方案变更说明
    private String initialDifficulty;  //varchar(255) NULL  政处难度初判
    private String capitalEquipment;  //varcjar(64) NULL  是否有资本设备(1：是，0：否)
    private String substationNewLine;  //varcjar(64) NULL  是否有变电站新出线(1：是，0：否)
    private String whetherImplement;  //varcjar(64) NULL  是否已实施(1：是，0：否)
    private String fieldDescription;  //varchar(255) NULL  现场情况描述
    private String necessaryOfImplementation;  //varcjar(64) NULL  是否有实施必要性(1：是，0：否)
    private String unnecessaryDescription;  //varchar(255) NULL  实施无必要描述
    private String precondition;  //varcjar(64) NULL  是否存在前置条件(1：是，0：否)
    private String conditionsDescribed;  //varchar(255) NULL  前置条件描述
    private String constructionSchemeProblem;  //varcjar(64) NULL  是否存在施工方案问题(1：是，0：否)
    private String problemDescriptionOfConstructionScheme;  //varchar(255) NULL  施工方案问题描述
    private String existingSecurityThreat;  //varcjar(64) NULL  现场是否存在安全隐患(1：是，0：否)
    private String safetyHazardDescription;  //varchar(255) NULL  安全隐患描述
    private String customizedMaterials;  //varcjar(64) NULL  是否需要定制物资(1：是，0：否)
    private String materialDescription;  //varchar(255) NULL  定制物资描述
    private String dismantlingTheOldMaterial;  //varcjar(64) NULL  是否有拆旧物资(1：是，0：否)
    private String operatingType;  //varchar(255) NULL  作业方式
    private String problemDescription;  //varchar(255) NULL  停电问题描述
    private String civilWork;  //varcjar(64) NULL  是否有土建工作量(1：是，0：否)
    private String verticalRodWorkload;  //varcjar(64) NULL  是否有立杆工作量(1：是，0：否)
    private String totalWorkloadDescription;  //varchar(255) NULL  总工作量描述
    private String regionalCenter;  //varchar(255) NULL  区域中心
    private String powerSupplyArea;  //varchar(255) NULL  供电所辖区
    private String zhengLocation;  //varchar(255) NULL  政处地点
    private String zhengType;  //varchar(255) NULL  政处类型（可多类）
    private String zhengObject;  //varchar(255) NULL  政处对象（产权单位）
    private String zhengDescribe;  //varchar(255) NULL  政处描述
    private String projectApproval;  //varcjar(64) NULL  是否需规划报批(1：是，0：否)
    private String courseEvaluationProcedures;  //varcjar(64) NULL  是否需办理安评航评手续(1：是，0：否)
    private String zhengDifficultyWarn;  //varchar(255) NULL  政处难点提醒
    private String disclosureFinishDateStr;

    @ExcelField(title="项目名称", align=2, sort=2)
    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDisclosureFinishDateStr() {
        return disclosureFinishDateStr;
    }

    public void setDisclosureFinishDateStr(String disclosureFinishDateStr) {
        this.disclosureFinishDateStr = disclosureFinishDateStr;
    }

    @ExcelField(title="项目储备编号", align=2, sort=1)
    public String getProjectReserveId() {
        return projectReserveId;
    }

    public void setProjectReserveId(String projectReserveId) {
        this.projectReserveId = projectReserveId;
    }

    @ExcelField(title="交底牵头部门", align=2, sort=3)
    public String getDisclosureToCoordinate() {
        return disclosureToCoordinate;
    }

    public void setDisclosureToCoordinate(String disclosureToCoordinate) {
        this.disclosureToCoordinate = disclosureToCoordinate;
    }

    @ExcelField(title="交底参与部门", align=2, sort=4)
    public String getDisclosureParticipate() {
        return disclosureParticipate;
    }

    public void setDisclosureParticipate(String disclosureParticipate) {
        this.disclosureParticipate = disclosureParticipate;
    }

    @ExcelField(title="是否完成交底", align=2, sort=5)
    public String getWhetherFinishDisclosure() {
        return whetherFinishDisclosure;
    }

    public void setWhetherFinishDisclosure(String whetherFinishDisclosure) {
        this.whetherFinishDisclosure = whetherFinishDisclosure;
    }

    @ExcelField(title="项目管理中心人员", align=2, sort=6)
    public String getProjectManagementPeople() {
        return projectManagementPeople;
    }

    public void setProjectManagementPeople(String projectManagementPeople) {
        this.projectManagementPeople = projectManagementPeople;
    }

    @ExcelField(title="设计院人员", align=2, sort=7)
    public String getDesigningInstitutePeople() {
        return designingInstitutePeople;
    }

    public void setDesigningInstitutePeople(String designingInstitutePeople) {
        this.designingInstitutePeople = designingInstitutePeople;
    }

    @ExcelField(title="经研所人员", align=2, sort=8)
    public String getIfoPeople() {
        return ifoPeople;
    }

    public void setIfoPeople(String ifoPeople) {
        this.ifoPeople = ifoPeople;
    }

    @ExcelField(title="区域中心人员", align=2, sort=9)
    public String getRegionalCenterPeople() {
        return regionalCenterPeople;
    }

    public void setRegionalCenterPeople(String regionalCenterPeople) {
        this.regionalCenterPeople = regionalCenterPeople;
    }

    @ExcelField(title="不停电作业中心人员", align=2, sort=10)
    public String getUninterruptedOperationPeople() {
        return uninterruptedOperationPeople;
    }

    public void setUninterruptedOperationPeople(String uninterruptedOperationPeople) {
        this.uninterruptedOperationPeople = uninterruptedOperationPeople;
    }

    @ExcelField(title="作业方式", align=2, sort=11)
    public String getWorkMode() {
        return workMode;
    }

    public void setWorkMode(String workMode) {
        this.workMode = workMode;
    }

    @ExcelField(title="交底完成日期", align=2, sort=12)
    public Date getDisclosureFinishDate() {
        return disclosureFinishDate;
    }

    public void setDisclosureFinishDate(Date disclosureFinishDate) {
        this.disclosureFinishDate = disclosureFinishDate;
    }

    @ExcelField(title="备注", align=2, sort=13)
    public String getDisclosureRemarks() {
        return disclosureRemarks;
    }

    public void setDisclosureRemarks(String disclosureRemarks) {
        this.disclosureRemarks = disclosureRemarks;
    }

    @ExcelField(title="立项说明", align=2, sort=14)
    public String getProjectDescription() {
        return projectDescription;
    }

    public void setProjectDescription(String projectDescription) {
        this.projectDescription = projectDescription;
    }

    @ExcelField(title="不具备立项条件说明", align=2, sort=15)
    public String getDoNotPossessProjectDescription() {
        return doNotPossessProjectDescription;
    }

    public void setDoNotPossessProjectDescription(String doNotPossessProjectDescription) {
        this.doNotPossessProjectDescription = doNotPossessProjectDescription;
    }

    @ExcelField(title="方案变更说明", align=2, sort=16)
    public String getChangedProgramsExplain() {
        return changedProgramsExplain;
    }

    public void setChangedProgramsExplain(String changedProgramsExplain) {
        this.changedProgramsExplain = changedProgramsExplain;
    }

    @ExcelField(title="政处难度初判", align=2, sort=17)
    public String getInitialDifficulty() {
        return initialDifficulty;
    }

    public void setInitialDifficulty(String initialDifficulty) {
        this.initialDifficulty = initialDifficulty;
    }

    @ExcelField(title="是否有资本设备", align=2, sort=18)
    public String getCapitalEquipment() {
        return capitalEquipment;
    }

    public void setCapitalEquipment(String capitalEquipment) {
        this.capitalEquipment = capitalEquipment;
    }

    @ExcelField(title="是否有变电站新出线", align=2, sort=19)
    public String getSubstationNewLine() {
        return substationNewLine;
    }

    public void setSubstationNewLine(String substationNewLine) {
        this.substationNewLine = substationNewLine;
    }

    @ExcelField(title="是否已实施", align=2, sort=20)
    public String getWhetherImplement() {
        return whetherImplement;
    }

    public void setWhetherImplement(String whetherImplement) {
        this.whetherImplement = whetherImplement;
    }

    @ExcelField(title="现场情况描述", align=2, sort=21)
    public String getFieldDescription() {
        return fieldDescription;
    }

    public void setFieldDescription(String fieldDescription) {
        this.fieldDescription = fieldDescription;
    }

    @ExcelField(title="是否有实施必要性", align=2, sort=22)
    public String getNecessaryOfImplementation() {
        return necessaryOfImplementation;
    }

    public void setNecessaryOfImplementation(String necessaryOfImplementation) {
        this.necessaryOfImplementation = necessaryOfImplementation;
    }

    @ExcelField(title="实施无必要描述", align=2, sort=23)
    public String getUnnecessaryDescription() {
        return unnecessaryDescription;
    }

    public void setUnnecessaryDescription(String unnecessaryDescription) {
        this.unnecessaryDescription = unnecessaryDescription;
    }

    @ExcelField(title="是否存在前置条件", align=2, sort=24)
    public String getPrecondition() {
        return precondition;
    }

    public void setPrecondition(String precondition) {
        this.precondition = precondition;
    }

    @ExcelField(title="前置条件描述", align=2, sort=25)
    public String getConditionsDescribed() {
        return conditionsDescribed;
    }

    public void setConditionsDescribed(String conditionsDescribed) {
        this.conditionsDescribed = conditionsDescribed;
    }

    @ExcelField(title="是否存在施工方案问题", align=2, sort=26)
    public String getConstructionSchemeProblem() {
        return constructionSchemeProblem;
    }

    public void setConstructionSchemeProblem(String constructionSchemeProblem) {
        this.constructionSchemeProblem = constructionSchemeProblem;
    }

    @ExcelField(title="施工方案问题描述", align=2, sort=27)
    public String getProblemDescriptionOfConstructionScheme() {
        return problemDescriptionOfConstructionScheme;
    }

    public void setProblemDescriptionOfConstructionScheme(String problemDescriptionOfConstructionScheme) {
        this.problemDescriptionOfConstructionScheme = problemDescriptionOfConstructionScheme;
    }

    @ExcelField(title="现场是否存在安全隐患", align=2, sort=28)
    public String getExistingSecurityThreat() {
        return existingSecurityThreat;
    }

    public void setExistingSecurityThreat(String existingSecurityThreat) {
        this.existingSecurityThreat = existingSecurityThreat;
    }

    @ExcelField(title="安全隐患描述", align=2, sort=29)
    public String getSafetyHazardDescription() {
        return safetyHazardDescription;
    }

    public void setSafetyHazardDescription(String safetyHazardDescription) {
        this.safetyHazardDescription = safetyHazardDescription;
    }

    @ExcelField(title="是否需要定制物资", align=2, sort=30)
    public String getCustomizedMaterials() {
        return customizedMaterials;
    }

    public void setCustomizedMaterials(String customizedMaterials) {
        this.customizedMaterials = customizedMaterials;
    }

    @ExcelField(title="定制物资描述", align=2, sort=31)
    public String getMaterialDescription() {
        return materialDescription;
    }

    public void setMaterialDescription(String materialDescription) {
        this.materialDescription = materialDescription;
    }

    @ExcelField(title="是否有拆旧物资", align=2, sort=32)
    public String getDismantlingTheOldMaterial() {
        return dismantlingTheOldMaterial;
    }

    public void setDismantlingTheOldMaterial(String dismantlingTheOldMaterial) {
        this.dismantlingTheOldMaterial = dismantlingTheOldMaterial;
    }

    @ExcelField(title="作业方式", align=2, sort=33)
    public String getOperatingType() {
        return operatingType;
    }

    public void setOperatingType(String operatingType) {
        this.operatingType = operatingType;
    }

    @ExcelField(title="停电问题描述", align=2, sort=34)
    public String getProblemDescription() {
        return problemDescription;
    }

    public void setProblemDescription(String problemDescription) {
        this.problemDescription = problemDescription;
    }

    @ExcelField(title="是否有土建工作量", align=2, sort=35)
    public String getCivilWork() {
        return civilWork;
    }

    public void setCivilWork(String civilWork) {
        this.civilWork = civilWork;
    }

    @ExcelField(title="是否有立杆工作量", align=2, sort=36)
    public String getVerticalRodWorkload() {
        return verticalRodWorkload;
    }

    public void setVerticalRodWorkload(String verticalRodWorkload) {
        this.verticalRodWorkload = verticalRodWorkload;
    }

    @ExcelField(title="总工作量描述", align=2, sort=37)
    public String getTotalWorkloadDescription() {
        return totalWorkloadDescription;
    }

    public void setTotalWorkloadDescription(String totalWorkloadDescription) {
        this.totalWorkloadDescription = totalWorkloadDescription;
    }

    @ExcelField(title="区域中心", align=2, sort=38)
    public String getRegionalCenter() {
        return regionalCenter;
    }

    public void setRegionalCenter(String regionalCenter) {
        this.regionalCenter = regionalCenter;
    }

    @ExcelField(title="供电所辖区", align=2, sort=39)
    public String getPowerSupplyArea() {
        return powerSupplyArea;
    }

    public void setPowerSupplyArea(String powerSupplyArea) {
        this.powerSupplyArea = powerSupplyArea;
    }

    @ExcelField(title="政处地点", align=2, sort=40)
    public String getZhengLocation() {
        return zhengLocation;
    }

    public void setZhengLocation(String zhengLocation) {
        this.zhengLocation = zhengLocation;
    }

    @ExcelField(title="政处类型", align=2, sort=41)
    public String getZhengType() {
        return zhengType;
    }

    public void setZhengType(String zhengType) {
        this.zhengType = zhengType;
    }

    @ExcelField(title="政处对象", align=2, sort=42)
    public String getZhengObject() {
        return zhengObject;
    }

    public void setZhengObject(String zhengObject) {
        this.zhengObject = zhengObject;
    }

    @ExcelField(title="政处描述", align=2, sort=43)
    public String getZhengDescribe() {
        return zhengDescribe;
    }

    public void setZhengDescribe(String zhengDescribe) {
        this.zhengDescribe = zhengDescribe;
    }

    @ExcelField(title="是否需规划报批", align=2, sort=44)
    public String getProjectApproval() {
        return projectApproval;
    }

    public void setProjectApproval(String projectApproval) {
        this.projectApproval = projectApproval;
    }

    @ExcelField(title="是否需办理安评航评手续", align=2, sort=45)
    public String getCourseEvaluationProcedures() {
        return courseEvaluationProcedures;
    }

    public void setCourseEvaluationProcedures(String courseEvaluationProcedures) {
        this.courseEvaluationProcedures = courseEvaluationProcedures;
    }

    @ExcelField(title="政处难点提醒", align=2, sort=46)
    public String getZhengDifficultyWarn() {
        return zhengDifficultyWarn;
    }

    public void setZhengDifficultyWarn(String zhengDifficultyWarn) {
        this.zhengDifficultyWarn = zhengDifficultyWarn;
    }

}
